package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ImportedPortalPageResOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ImportedPortalPageResOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("fileName")
  private String fileName;

  public ImportedPortalPageResOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Imported portal page file ID
   * @return id
  */
  @ApiModelProperty(value = "Imported portal page file ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public ImportedPortalPageResOpenApiVo fileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  /**
   * Imported portal page file name
   * @return fileName
  */
  @ApiModelProperty(value = "Imported portal page file name")


  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ImportedPortalPageResOpenApiVo importedPortalPageResOpenApiVo = (ImportedPortalPageResOpenApiVo) o;
    return Objects.equals(this.id, importedPortalPageResOpenApiVo.id) &&
        Objects.equals(this.fileName, importedPortalPageResOpenApiVo.fileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, fileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ImportedPortalPageResOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    fileName: ").append(toIndentedString(fileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

